For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all construction jobs
        • GETGet construction job by ID
        • GETGet all construction job details for a specific construction job
        • GETGet all contracts for a specific construction job
        • POSTCreate Contract: Yardi REST
        • PUTUpdate Contract: Yardi REST
        • GETGet all contract details for a specific contract
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi RESTConstruction Job Cost

Update Contract: Yardi REST

Beta
PUT
/v1/contracts/yardi_rest/:contract_id
PUT
/v1/contracts/yardi_rest/:contract_id
$curl -X PUT https://api.propexo.com/v1/contracts/yardi_rest/contract_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "vendor_id": "vendor-7890abc123",
> "start_date": "2024-01-15T09:30:00Z"
>}'
1{
2 "meta": {
3 "job_id": "job-4567def890"
4 },
5 "result": {
6 "contract_id": "contract-1234xyz567",
7 "vendor_id": "vendor-7890abc123",
8 "start_date": "2024-01-15T09:30:00Z",
9 "end_date": "2025-01-15T17:00:00Z",
10 "notes": "Annual maintenance contract for HVAC system.",
11 "expense_type": "Maintenance",
12 "retention_percent": "5.00"
13 }
14}
Update Contract: Yardi REST | Interface | Method | |---|---| | Job Cost | /ItfJobCost/ImportContract |
Was this page helpful?
Previous

Get all contract details for a specific contract

Next
Built with

Update Contract: Yardi REST

InterfaceMethod
Job Cost/ItfJobCost/ImportContract

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

contract_idstringRequired
The Propexo unique identifier for the contract

Request

This endpoint expects an object.
vendor_idstringRequired
The Propexo unique identifier for the vendor
start_datestringRequired
The start date associated with the contract
end_datestringOptional
The end date associated with the contract
notesstringOptional
Notes associated with the contract
expense_typestringOptional

The expense type of the contract. You’ll have to request this data from your customer, but you can see a set of allowed values by reviewing the response of integration.configuration_meta_data

retention_percentstringOptional
The retention percent of the contract. Must be a decimal number with only 2 places

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error